<!DOCTYPE html>
<html lang="cs-cz">
    <head>
        <base href="http://<?= $domain ?>" />
        <meta charset="UTF-8" />
        <title><?= $title ?></title>
        <meta name="description" content="<?= $description ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <!-- Bootstrap Core CSS -->
        <link rel="stylesheet" href="/vendor/twbs/bootstrap/dist/css/bootstrap.min.css" type="text/css" />
        
        <!-- Font Awesome -->
        <link rel="stylesheet" href="/vendor/components/font-awesome/css/all.min.css" type="text/css" />
        <!-- jQuery -->
        <script src="/vendor/components/jquery/jquery.min.js"></script>
        <script src="/vendor/twbs/bootstrap/dist/js/bootstrap.min.js"></script>

        <!-- Detect safari browser -->
        <script src="/public/js/detect-safari.js"></script>

        <!-- Cookies -->
        <script
          id="cookieWarn"
          data-expire="365" (optional, default 365 day)
          data-secure="false" (cookie secure, true / false, optional)
          data-delay="750" (optional, default 500)
          data-class="customCookieWarning" (optional)
          type="text/javascript"
          src="/public/js/cookie-warn.js">
        </script>

        <!-- Project files -->
        <link rel="stylesheet" href="/css/style.css" type="text/css" />
        <link rel="stylesheet" href="/css/custom.css" type="text/css" />
        <script src="/js/confirm.js"></script>
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
            <div class="container">
                <a class="navbar-brand text-warning" href="/">
                    <img src="https://via.placeholder.com/75" class="rounded">
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav ml-auto">
                        <?php if (!$this->userLogin()): ?>
                            <li class="nav-item my-2 my-md-0 text-center text-lg-left">
                                <a class="nav-link border rounded-pill border-warning" href="/prihlaseni"><i class="fas fa-sign-in-alt text-warning"></i> Přihlášení</a>
                            </li>
                            <li class="nav-item my-2 my-md-0 text-center text-lg-left">
                                <a class="nav-link rounded-pill border" href="/registrace"><i class="fas fa-user-plus"></i> Registrace</a>
                            </li>
                        <?php endif ?>
                        <?php if ($this->userLogin()): ?>
                            <li class="nav-item my-2 my-md-0 text-center text-lg-left">
                                <a class="nav-link rounded-pill border border-warning" href="/administrace">
                                    <i class="fas fa-sign-in-alt text-warning"></i> Vstup do klientského účtu
                                </a>
                            </li>
                            <li class="nav-item my-2 my-md-0 text-center text-lg-left">
                                <a class="nav-link" href="/administrace/logout">Odhlásit se</a>
                            </li>
                        <?php endif ?>
                    </ul>
                </div>
            </div>
        </nav>

        <div class="container <?= ($fullWidth) ?: "pt-4 pb-4" ?>">
            <?php foreach ($messages as $message) : ?>
                <div class="text-center alert alert-<?= $message['type'] ?>" role="alert"><?= $message['content'] ?></div>
            <?php endforeach ?>
            
            <!-- If issset full width dont render page in container -->
            <?php if (!$fullWidth): ?>
                <?php $this->articleController->renderView(); ?>
            <?php endif ?>
        </div>
    
        <?php if ($fullWidth): ?>
                <?php $this->articleController->renderView(); ?>
        <?php endif ?>

        <footer class="footer">
            <div class="container">
                <div class="row border-top border-warning">
                    <div class="col-12 text-center">
                        © 2020 mvc.cz
                    </div>
                </div>
            </div>
        </footer>
    </body>
</html>

